[packages/openssh] Rel 5; add upstream official fixes for stable release (https://lists.mindrot.org/pipermail/openssh-u

arekm arekm at pld-linux.org
Wed Mar 16 19:21:27 CET 2022


commit fdf9e348134727ce41dc08213ee7e06b4bfe10ab
Author: Arkadiusz Miśkiewicz <arekm at maven.pl>
Date:   Wed Mar 16 19:18:29 2022 +0100

    Rel 5; add upstream official fixes for stable release (https://lists.mindrot.org/pipermail/openssh-unix-dev/2022-March/040086.html)

 branch.sh    | 35 +++++++++++++++++++++++++++++++++++
 openssh.spec |  6 +++++-
 2 files changed, 40 insertions(+), 1 deletion(-)
---
diff --git a/openssh.spec b/openssh.spec
index 7418f99..2a09501 100644
--- a/openssh.spec
+++ b/openssh.spec
@@ -37,7 +37,7 @@ Summary(ru.UTF-8):	OpenSSH - свободная реализация прото
 Summary(uk.UTF-8):	OpenSSH - вільна реалізація протоколу Secure Shell (SSH)
 Name:		openssh
 Version:	8.9p1
-Release:	4
+Release:	5
 Epoch:		2
 License:	BSD
 Group:		Applications/Networking
@@ -55,6 +55,8 @@ Source9:	sshd.service
 Source10:	sshd-keygen
 Source11:	sshd.socket
 Source12:	sshd at .service
+Patch100:	%{name}-git.patch
+# Patch100-md5: xyz
 Patch0:		%{name}-no-pty-tests.patch
 Patch1:		%{name}-tests-reuseport.patch
 Patch2:		%{name}-pam_misc.patch
@@ -540,6 +542,8 @@ openldap-a.
 
 %prep
 %setup -q
+%patch100 -p1
+
 %patch0 -p1
 %patch1 -p1
 %patch2 -p1
diff --git a/branch.sh b/branch.sh
new file mode 100755
index 0000000..bf68940
--- /dev/null
+++ b/branch.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+# https://lists.mindrot.org/pipermail/openssh-unix-dev/2022-March/040086.html
+
+set -e
+url=https://github.com/openssh/openssh-portable.git
+package=openssh
+tag=V_8_9_P1
+branch=V_8_9
+out=$package-git.patch
+repo=$package.git
+
+# use filterdiff, etc to exclude bad chunks from diff
+filter() {
+	cat
+}
+
+if [ ! -d $repo ]; then
+	git clone --bare $url -b $branch $repo
+fi
+
+cd $repo
+	git fetch origin +$branch:$branch +refs/tags/$tag:refs/tags/$tag
+	git log -p --reverse $tag..$branch ":(exclude)doc/doc-*" ":(exclude)test" ":(exclude).*" | filter > ../$out.tmp
+cd ..
+
+if cmp -s $out{,.tmp}; then
+	echo >&2 "No new diffs..."
+	rm -f $out.tmp
+	exit 0
+fi
+mv -f $out{.tmp,}
+
+../md5 $package.spec
+../dropin $out
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/openssh.git/commitdiff/fdf9e348134727ce41dc08213ee7e06b4bfe10ab



More information about the pld-cvs-commit mailing list